Unofficial 3DS RetroArch builds

Discussion in '3DS - Homebrew Development and Emulators' started by MrHuu, Feb 25, 2017.

  1. Kurt91

    Kurt91 GBAtemp Fan

    Member
    404
    91
    Sep 9, 2012
    United States
    Newport, WA
    I'm kind of curious. What kind of programming would I want to learn if I wanted to help out with that? I'm already at college for a Computer Science degree. If it's something I can swing a couple classes into my schedule for, I could look into it.
     
    SaffronXL likes this.
  2. FateForWindows

    FateForWindows GBAtemp Advanced Fan

    Member
    706
    255
    Feb 8, 2017
    United States
    PCSX-Rearmed now works on the latest nightlies and the performance has been improved, as well as fixing the frame throttle causing slowdown. This should be added to the OP. Just trying to add to the conversation.
     
    Dodain47, SaffronXL and poyorinn like this.
  3. MrHuu
    OP

    MrHuu GBAtemp Regular

    Member
    143
    118
    Sep 19, 2015
    Netherlands
    Last edited by MrHuu, Dec 9, 2017 - Reason: Fixed links
    angelhp, matt! and SaffronXL like this.
  4. MrHuu
    OP

    MrHuu GBAtemp Regular

    Member
    143
    118
    Sep 19, 2015
    Netherlands
    Added 1.4.1 and 1.6.9 builds:

    FBAlpha2012_NEGEO - SNK NEOGEO

    These builds will place the *.fs files next to your roms, not on your sd's root.

    1.6.9:
    -Use a playlist to load your games
    -Use 'RGUI' as 'Menu Driver'

    1.4.1:
    I'm still having issues loading large archives, so also here:
    -Use a playlist to load your games
    -Use 'XMB' as 'Menu Driver'
     
    Last edited by MrHuu, Dec 16, 2017 - Reason: Fixed link
    SaffronXL likes this.
  5. SaffronXL

    SaffronXL Emulationer

    Member
    229
    123
    Nov 17, 2016
    United States
    New Mexico
    And JUST when I was getting used to my root directory being totally trashed guess it's time to upgrade to 1.6.9
     
  6. Palom

    Palom GBAtemp Regular

    Member
    166
    23
    Sep 21, 2009
    United States
    Awesome that you did this Huu! However, the audio has taken a hit. Not sure if that's caused by sticking with rgui or loading the files directly (my biggest one was able to load just fine), or if something else went wrong.
     
  7. MrHuu
    OP

    MrHuu GBAtemp Regular

    Member
    143
    118
    Sep 19, 2015
    Netherlands
    I hear what you mean, not sure what causes it.
    If it's the core i might be able to update just the core for 1.4.1

    btw, XMB is optional, not required.

    Edit:
    Too bad, it's the libretro audio driver itself which was updated in later releases.
     
    Last edited by MrHuu, Dec 16, 2017
  8. Palom

    Palom GBAtemp Regular

    Member
    166
    23
    Sep 21, 2009
    United States
    Awww. Well thanks for trying this anyway.
     
  9. Jayzdabeast

    Jayzdabeast Newbie

    Newcomer
    4
    0
    Dec 12, 2017
    Hong Kong
    Thank you for all the great work you have done for us:) Really appreciated! But I got a little trouble in getting the CPS3 roms start working. I placed both sfiii3.zip and sfiii3.chd files into my rom directory and tried to load sfiii3.zip with the CPS3 emulator but a window popped out saying "failed to load the file". How could I get it to work? Thank you in advance!
     
  10. trecko1234

    trecko1234 Advanced Member

    Newcomer
    69
    35
    Aug 10, 2013
    United States
    Do you have any understanding of how MAME ROMs work with parent files and merged/split sets?
    I suggest reading up on it if you don't because that's the problem 95% of the time why ROMs won't load. Use clrmamepro to verify your romsets with the correct final burn alpha version (the .dat files are on the libretro GitHub wiki, you can find them with Google)
     
  11. Jayzdabeast

    Jayzdabeast Newbie

    Newcomer
    4
    0
    Dec 12, 2017
    Hong Kong
    Thanks for the reply:) I did some research on parent and orphan files and redownloaded a European version of the ROM with two .chd files, then I created a new folder named sfiii and place the two .chd files with correct names cap-33s-1 and cap-33s-2 and the game ROM named sfiii3 in the main directory. But still no luck for me...
     
  12. trecko1234

    trecko1234 Advanced Member

    Newcomer
    69
    35
    Aug 10, 2013
    United States
    That file you downloaded might not be correct for the romset that final burn alpha uses, though. Final Burn Alpha uses a different structure and naming system than MAME does. You still need to verify that the rom you got is the correct version with clrmamepro, and clrmamepro will rebuild the roms to the correct structure for you.

    http://mame.3feetunder.com/clrmamepro-quick-start-guide/

    https://github.com/retropie/retropie-setup/wiki/FinalBurn-Alpha

    Get the .dat file for clrmamepro from there ☝️


    Also I don't want to burst your bubble, but I've tried 3rd Strike already and it is less than playable for fighting game standards... even with sound turned off and everything possible to get it to run as fast as it can.
    I have to use my phone and a bluetooth controller to play my favorite fighting game on the go :(
     
    Last edited by trecko1234, Dec 29, 2017
    MrHuu likes this.
  13. MrHuu
    OP

    MrHuu GBAtemp Regular

    Member
    143
    118
    Sep 19, 2015
    Netherlands
    The MAME and FBA romsets are not the same, use the FB Alpha 0.2.97.40 romset or higher. The Internet Archive is a great source of information.

    The CPS3 roms included in the FBA romset are combined in single .zip files, FBA doesn't use .chd's.
    You'll need these .zip files on your 3ds, and load the .zip with retroarch.

    Using a playlist i'm able to load most CPS3 roms from this set.
     
  14. CaptainHIT

    CaptainHIT GBAtemp Regular

    Member
    129
    27
    Mar 2, 2011
    Turkey
    Bursa
    Your work is great! Why aren't they added to the official builds because they are great, mostly stable and absolutely working!? Will you update to latest 1.7.0 also?
     
    MrHuu likes this.
  15. MrHuu
    OP

    MrHuu GBAtemp Regular

    Member
    143
    118
    Sep 19, 2015
    Netherlands
    I've submitted some changes to the libretro git, and i'm working on getting some cores included by the build bot.
    I won't be updating to 1.7.0 for now. There are some 3ds specific changes in the upcoming builds. I'll probably update to 1.7.1 when it's released.
     
    CaptainHIT and SaffronXL like this.
  16. LeoIeiri

    LeoIeiri 家入レオ

    Member
    270
    26
    May 10, 2017
    Japan
    Tokyo
    Those emulators can work with oficial release?
     
  17. CaptainHIT

    CaptainHIT GBAtemp Regular

    Member
    129
    27
    Mar 2, 2011
    Turkey
    Bursa
    Yes, they do work with the official release. I'm using them with my 1.7.0 installation.

    — Posts automatically merged - Please don't double post! —

    That's cool! Thanks for all your efforts! ;)
     
    LeoIeiri likes this.